# Find a Secret

Finds a secret in the secret store by name and scope.

## Request

```curl
curl -G https://api.stripe.com/v1/apps/secrets/find \
  -u "<<YOUR_SECRET_KEY>>" \
  -d name=my-api-key \
  -d "scope[type]=account"
```

### Response

```json
{
  "id": "appsecret_5110hHS1707T6fjBnah1LkdIwHu7ix",
  "object": "apps.secret",
  "created": 1680209063,
  "expires_at": null,
  "livemode": false,
  "name": "my-api-key",
  "scope": {
    "type": "account"
  }
}
```

## Returns

Returns a secret object.

## Parameters

- `name` (string, required)
  A name for the secret that’s unique within the scope.

- [`scope`](https://docs.stripe.com/api/apps/secret_store/find.md?query=scope) (object, required)
  Specifies the scoping of the secret. Requests originating from UI extensions can only access account-scoped secrets or secrets scoped to their own user.
